Bug 1210546 - [abrt] lxqt-panel: updateInterval(): lxqt-panel killed by SIGSEGV
Summary: [abrt] lxqt-panel: updateInterval(): lxqt-panel killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-panel
Version: 21
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:02def76725b8db2362233bdc424...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-10 03:19 UTC by Alex Masterov
Modified: 2015-12-08 21:24 UTC (History)
3 users (show)

Fixed In Version: lxqt-panel-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:58:22 UTC


Attachments (Terms of Use)
File: backtrace (22.71 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: cgroup (176 bytes, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: core_backtrace (9.47 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: dso_list (12.48 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: environ (1.41 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: maps (39.95 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: open_fds (2.81 KB, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: proc_pid_status (798 bytes, text/plain)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-04-10 03:19 UTC, Alex Masterov
no flags Details

Description Alex Masterov 2015-04-10 03:19:10 UTC
Description of problem:
Steps to reproduce:
1. Add System Statistics applet to panel.
2. Open Settings of the applet.
3. Remove Use frequency option
4. Press Reset button in settings window

(Sorry, I use russian interface this result of reverse translation)

Version-Release number of selected component:
lxqt-panel-0.9.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        lxqt-panel
crash_function: updateInterval
executable:     /usr/bin/lxqt-panel
kernel:         3.19.3-200.fc21.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            500
var_log_messages: [System Logs]:\n-- Logs begin at Чт 2014-01-16 15:53:32 OMST, end at Пт 2015-04-10 08:50:27 OMST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 updateInterval at /usr/src/debug/libsysstat-0.3.0/basestat.cpp:156
 #1 SysStat::BaseStat::updateInterval at /usr/src/debug/libsysstat-0.3.0/basestat.cpp:157
 #2 SysStat::BaseStat::stopUpdating at /usr/src/debug/libsysstat-0.3.0/basestat.cpp:171
 #3 LxQtSysStatContent::updateSettings at /usr/src/debug/lxqt-panel-0.9.0/plugin-sysstat/lxqtsysstat.cpp:294
 #4 LxQtSysStat::settingsChanged at /usr/src/debug/lxqt-panel-0.9.0/plugin-sysstat/lxqtsysstat.cpp:92
 #5 Plugin::settingsChanged at /usr/src/debug/lxqt-panel-0.9.0/panel/plugin.cpp:233
 #6 Plugin::qt_static_metacall at /usr/src/debug/lxqt-panel-0.9.0/i686-redhat-linux-gnu/panel/moc_plugin.cpp:96
 #7 QMetaObject::activate at kernel/qobject.cpp:3716
 #9 LxQt::Settings::settingsChanged at /usr/src/debug/liblxqt-0.9.0/i686-redhat-linux-gnu/moc_lxqtsettings.cpp:136
 #10 LxQt::Settings::event at /usr/src/debug/liblxqt-0.9.0/lxqtsettings.cpp:174

Comment 1 Alex Masterov 2015-04-10 03:19:14 UTC
Created attachment 1012913 [details]
File: backtrace

Comment 2 Alex Masterov 2015-04-10 03:19:15 UTC
Created attachment 1012914 [details]
File: cgroup

Comment 3 Alex Masterov 2015-04-10 03:19:17 UTC
Created attachment 1012915 [details]
File: core_backtrace

Comment 4 Alex Masterov 2015-04-10 03:19:18 UTC
Created attachment 1012916 [details]
File: dso_list

Comment 5 Alex Masterov 2015-04-10 03:19:20 UTC
Created attachment 1012917 [details]
File: environ

Comment 6 Alex Masterov 2015-04-10 03:19:21 UTC
Created attachment 1012918 [details]
File: limits

Comment 7 Alex Masterov 2015-04-10 03:19:23 UTC
Created attachment 1012919 [details]
File: maps

Comment 8 Alex Masterov 2015-04-10 03:19:24 UTC
Created attachment 1012920 [details]
File: open_fds

Comment 9 Alex Masterov 2015-04-10 03:19:26 UTC
Created attachment 1012921 [details]
File: proc_pid_status

Comment 10 Alex Masterov 2015-04-10 03:19:27 UTC
Created attachment 1012922 [details]
File: exploitable

Comment 11 Fedora Update System 2015-11-03 00:53:57 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 12 Fedora Update System 2015-11-03 18:57:47 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 13 Fedora Update System 2015-11-03 19:53:45 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 14 Fedora End Of Life 2015-11-04 16:00:04 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 10:58:24 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Fedora Update System 2015-12-08 19:54:30 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-12-08 21:23:47 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.